use actix_web::{web, Responder};
use askama::Template;

use crate::utils::{ApplicationError, Customization, TemplateResponse};

#[derive(Template)]
#[template(path = "imprint.html")]
struct ImprintTemplate {
    webmaster_mail: String,
    hostname: String,
}

#[actix_web::get("/imprint")]
pub async fn get_imprint(
    customization: web::Data<Customization>,
) -> Result<impl Responder, ApplicationError> {
    let template = ImprintTemplate {
        webmaster_mail: customization.webmaster_email.clone(),
        hostname: customization.hostname.clone(),
    };

    Ok(template.to_response()?)
}
