pub enum DateTimeFormat {
    DayMonth,
    DayMonthHourMinute,
    DayMonthYear,
    DayMonthYearHourMinute,
    YearMonthDayTHourMinute,
    /// equivalent to %R,
    HourMinute,
    WeekdayDayMonth,
    WeekdayDayMonthYear,
}

impl From<DateTimeFormat> for &'static str {
    fn from(value: DateTimeFormat) -> Self {
        match value {
            DateTimeFormat::DayMonth => "%d.%m.",
            DateTimeFormat::DayMonthHourMinute => "%d.%m. %H:%M",
            DateTimeFormat::DayMonthYear => "%d.%m.%Y",
            DateTimeFormat::DayMonthYearHourMinute => "%d.%m.%Y %H:%M",
            DateTimeFormat::YearMonthDayTHourMinute => "%Y-%m-%dT%H:%M",
            DateTimeFormat::HourMinute => "%H:%M",
            DateTimeFormat::WeekdayDayMonth => "%A, %d.%m.",
            DateTimeFormat::WeekdayDayMonthYear => "%A, %d.%m.%Y",
        }
    }
}
